Bug 446412 - Review Request: perl-Event-RPC - Event based transparent Client/Server RPC framework
Review Request: perl-Event-RPC - Event based transparent Client/Server RPC fr...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Xavier Bachelot
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-14 11:08 EDT by Nicolas Chauvet (kwizart)
Modified: 2008-05-31 09:43 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-31 09:43:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
xavier: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Nicolas Chauvet (kwizart) 2008-05-14 11:08:51 EDT
Spec URL:
http://kwizart.fedorapeople.org/SPECS/perl-Event-RPC.spec
SRPM URL:
http://rpms.kwizart.net/fedora/9/SRPMS/perl-Event-RPC-0.90-2.fc9.kwizart.src.rpm
Description: Event based transparent Client/Server RPC framework
Comment 1 Xavier Bachelot 2008-05-28 11:50:42 EDT
+ source files match upstream : ab908f6b359e83fdd2f583a44168aa85
+ package meets naming and versioning guidelines.
+ specfile is properly named, is cleanly written and uses macros consistently.
+ dist tag is present.
+ build root is correct.
+ license field matches the actual license.
+ license is open source-compatible. License text not included upstream.
+ latest version is being packaged.
+ BuildRequires are proper.
+ %clean is present.
+ package builds in mock.
+ package installs properly
- rpmlint is silent :
file-not-utf8 /usr/share/man/man3/Event::RPC*3pm.gz
- final provides and requires are sane:
The provides perl(Test_class) is bogus.
+ %check is present and all tests pass
+ owns the directories it creates
- doesn't own any directories it shouldn't.
The directories below are installed and owned :
/usr/lib/perl5/vendor_perl/5.8.8/i386-linux-thread-multi
/usr/lib/perl5/vendor_perl/5.8.8/i386-linux-thread-multi/auto
/usr/lib/perl5/vendor_perl/5.8.8/i386-linux-thread-multi/auto/Event
/usr/lib/perl5/vendor_perl/5.8.8/i386-linux-thread-multi/auto/Event/RPC
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets present.
+ code, not content.
+ documentation is small, so no -docs subpackage is necessary.
+ %docs are not necessary for the proper functioning of the package.
Comment 2 Nicolas Chauvet (kwizart) 2008-05-29 13:24:27 EDT
Spec URL:
http://kwizart.fedorapeople.org/SPECS/perl-Event-RPC.spec
SRPM URL:
http://kwizart.fedorapeople.org/SRPMS/perl-Event-RPC-0.90-3.fc8.kwizart.src.rpm
Description: Event based transparent Client/Server RPC framework
Comment 3 Xavier Bachelot 2008-05-29 18:22:02 EDT
looks good, APPROVED.
Comment 4 Nicolas Chauvet (kwizart) 2008-05-29 19:53:42 EDT
New Package CVS Request
=======================
Package Name: perl-Event-RPC
Short Description: Event based transparent Client/Server RPC framework
Owners: kwizart
Branches: F-8 F-9 EL-4 EL-5
InitialCC: perl-sig
Cvsextras Commits: yes
Comment 5 Kevin Fenzi 2008-05-30 16:00:34 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.